#pragma once

#include <stdint.h>
#include <hal/gpio_types.h>

constexpr uint32_t serialBaudRate = 115200;

// The pin connected to the push button
// The button should be connected to GND
constexpr gpio_num_t wakeupButtonPin = GPIO_NUM_27;

// The time (in seconds) for which the device should stay awake after the button is pressed
// The device also stays awake as long as a bluetooth connection is active
constexpr uint32_t wakeupDurationAfterButtonPress = 30;

// The interval between temperature measurements
constexpr uint32_t temperatureMeasurementIntervalSeconds = 60;
